levelshots/dingenskirchen_b9_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/dingenskirchen_b9_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/dingenskirchen_b9_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/dingenskirchen_b9_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

textures/dingenskirchen/stormydays_sky
{
	qer_editorimage textures/stormydays_sky/stormydays_ft.jpg
	// q3map_lightrgb 0.8 0.9 1.0
	skyParms textures/stormydays_sky/stormydays 2048 -
	q3map_sunExt 242 178 103 400 315 35 //1 16
	// q3map_skylight 50 5
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	nocompress
}

textures/alpha/ivy_c01
{

	qer_trans 0.75
	qer_editorimage textures/alpha/ivy_c01.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm woodsteps
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/alpha/ivy_c01.tga
}

textures/alpha/latace
{

	qer_trans 0.75
	qer_editorimage textures/alpha/latace.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm woodsteps
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask textures/alpha/latace.tga
}


textures/dingenskirchen/_fog_cellar
{
	qer_editorimage textures/editor/yellow1.tga
	qer_trans 0.6
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	{
		map textures/dingenskirchen/fog.tga
		tcMod scale .5 .5
		tcmod turb 0 0.02 0 0.30
		alphagen oneminusvertex
		blendfunc gl_src_alpha gl_one
	}
	{
		map $lightmap
		blendFunc GL_ZERO GL_ONE // ONE
		alphagen vertex
		rgbGen identity
	}
}

textures/dingenskirchen/_fog_yellow
{
	qer_editorimage textures/editor/purple1.tga
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	qer_trans .5
	{
		map textures/dingenskirchen/fog_yellow.tga
		blendFunc blend
		rgbGen identity
		alphaGen vertex
		tcmod scale .02 .02
		tcmod scroll 0.05 0
		tcmod turb 0 0.02 0 0.30
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		depthfunc equal
	}
}

//	FOR MISC_MODEL
models/mapobjects/knight/knt_miscmodel
{
	qer_editorimage models/mapobjects/knight/knt.tga
	cull twosided
	{
		map textures/effects/tinfx.jpg
		rgbGen identity
		tcGen environment
	}
	{
		map models/mapobjects/knight/knt.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// FOR MISC_MODEL
models/mapobjects/knight/weap_miscmodel
{
	qer_editorimage models/mapobjects/knight/weap.tga
	cull twosided
	{
		map textures/effects/tinfx.jpg
		rgbGen identity
		tcGen environment
	}
	{
		map models/mapobjects/knight/weap.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/chateau/window_c07a
{
	qer_editorimage textures/chateau/window_c07a.tga
	q3map_lightimage textures/lightimage/soft_warm.tga
	q3map_lightsubdivide 128
	q3map_surfacelight 80
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chateau/window_c07a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/chateau/window_c05.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/dingenskirchen/trees/winterbranch01
{
	qer_alphafunc gequal 0.5
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

models/dingenskirchen/trees/wintertrunk01
{
	qer_alphafunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/dingenskirchen/siwa_canvas1
{
	qer_editorimage textures/egypt_props_sd/siwa_canvas1
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull none
	implicitMap textures/egypt_props_sd/siwa_canvas1
}

textures/dingenskirchen/siwa_carpet2
{
	qer_editorimage textures/egypt_props_sd/siwa_carpet2
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull none
	implicitMap textures/egypt_props_sd/siwa_carpet2
}

textures/dingenskirchen/s_grass_ml03b
{
	qer_editorimage textures/snow/s_grass_ml03b.tga
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm snowsteps
	surfaceparm landmine
	implicitMap textures/snow/s_grass_ml03b.tga
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_snow
{
	qer_editorimage textures/dingenskirchen/grass.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/dingenskirchen/grass.tga
		// map textures/snow_sd/s_dirt_m03i_2_big.tga
		// tcMod scale .5 .5
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		// map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/dingenskirchen/dirt.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_ice
{
	qer_editorimage textures/snow_sd/icelake2.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm snowsteps
	{
		// Primary 1
		map textures/snow_sd/icelake2.tga
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		// map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/dingenskirchen/dirt.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_road
{
	qer_editorimage textures/desert_sd/pavement_quad_sandy.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	{
		// Primary 1
		// map textures/desert_sd/pavement_quad_sandy.tga
		map textures/desert_sd/pavement_quad_sandy.tga
		// tcMod scale 2 2
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		// map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/dingenskirchen/dirt.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_sand
{
	qer_editorimage textures/temperate_sd/sand_patchnoise.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/sand_patchnoise.tga
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		// map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/dingenskirchen/dirt.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_pavement_snow
{
	qer_editorimage textures/snow/s_castle_m03_step_2a.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary 1
		map textures/snow/s_castle_m03_step_2a.tga
		// tcMod scale 4 4
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		// map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/dingenskirchen/dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_pavement
{
	qer_editorimage textures/snow/s_castle_m03_step_2a.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary 1
		map textures/snow/s_castle_m03_step_2a.tga
		// tcMod scale 4 4
		rgbGen identity
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		map textures/castle_wall/castle_m03_step.tga
		// tcMod scale 4 4
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_cliff
{
	qer_editorimage textures/dingenskirchen/rock.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary 1
		map textures/dingenskirchen/rock.tga
		rgbGen identity
		tcMod scale .5 .5
	}
	// {
		// // Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		// map textures/snow_sd/s_grass_ml03b_big.tga
		map textures/dingenskirchen/dirt.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_cliffvine
{
	qer_editorimage textures/dingenskirchen/rock.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary 1
		map textures/dingenskirchen/rock.tga
		rgbGen identity
		tcMod scale .5 .5
	}
	// {
		// Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		map textures/dingenskirchen/vines.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale 2 2
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_sand2
{
	qer_editorimage textures/temperate_sd/sand_patchnoise.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/sand_patchnoise.tga
		rgbGen identity
		// tcMod scale .5 .5
	}
	// {
		// Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		map textures/dingenskirchen/vines.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale 2 2
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_road2
{
	qer_editorimage textures/desert_sd/pavement_quad_sandy.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/desert_sd/pavement_quad_sandy.tga
		// tcMod scale 2 2
		rgbGen identity
	}
	// {
		// Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		map textures/dingenskirchen/vines.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale 2 2
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_snow2
{
	qer_editorimage textures/dingenskirchen/grass.tga
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm snowsteps
	surfaceparm landmine
	{
		// Primary 1
		//map textures/dingenskirchen/dirt.tga
		map textures/dingenskirchen/grass.tga
		// tcMod scale .5 .5
		rgbGen identity
	}
	// {
		// Primary 2
		// map textures/stone/mxsnow0.tga
		// blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaGen Vertex
		// rgbGen identity
	// }
	{
		// Secondary
		map textures/dingenskirchen/vines.tga
		// tcMod scale .5 .5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale 2 2
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/dingenskirchen/_water
{ 
	qer_editorimage textures/editor/blue1.tga
	qer_trans .5
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_nonplanar
	cull none
	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}	
	{ 
		//Primary 1
		map textures/liquids_sd/siwa_water.tga
		alphaGen const 0.75
		blendfunc blend
		// tcmod scroll -0.085 0
		tcmod turb 0 0.02 0 0.30
		rgbGen identity
	}
	{
		map textures/dingenskirchen/water_overlay.tga
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod scale 2 2
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		blendfunc gl_src_alpha gl_one
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}